>From 78ba969d0ca36316d8fb7922799a69b50b574ba5 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Cyril=20Math=C3=A9?= <cmathe@actech-innovation.com>
Date: Wed, 1 Jul 2009 15:29:53 +0200
Subject: [PATCH] libvlc API: Fix a possible SEGFAULT

---
 src/control/video.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/src/control/video.c b/src/control/video.c
index 8ef79da..0ad4c0f 100644
--- a/src/control/video.c
+++ b/src/control/video.c
@@ -762,9 +762,14 @@ void libvlc_video_set_marquee_option_as_int( libvlc_media_player_t *p_mi,
         vout_thread_t * vout = GetVout( p_mi, &e );
         libvlc_exception_clear(&e);
         if (vout)
+        {
             vout_EnableFilter(vout, identifier, value, false);
+        }
         else
+        {
             libvlc_exception_raise( p_e, "No Vout" );
+            return;
+        }
         vlc_object_release(vout);
         return;
     }
-- 
1.5.4.3

